com.sun.jna.platform.win32

## Class Sspi.SecPkgInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgInfo

- Direct Known Subclasses:
    Sspi.SecPkgInfo.ByReference
  Enclosing interface:
    Sspi

      public static class Sspi.SecPkgInfo
      extends Structure

  The SecPkgInfo structure provides general information about a security package, such as its name and capabilities.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Sspi.SecPkgInfo.ByReference` A reference pointer to a SecPkgInfo structure.

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbMaxToken` Specifies the maximum size, in bytes, of the token.
    `WString` | `Comment` Pointer to a null-terminated string.
    `int` | `fCapabilities` Set of bit flags that describes the capabilities of the security package.
    `WString` | `Name` Pointer to a null-terminated string that contains the name of the security package.
    `short` | `wRPCID` Specifies a DCE RPC identifier, if appropriate.
    `short` | `wVersion` Specifies the version of the package protocol.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sspi.SecPkgInfo()` Create a new package info.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fCapabilities

          public int fCapabilities

      Set of bit flags that describes the capabilities of the security package.

    - #### wVersion

          public short wVersion

      Specifies the version of the package protocol. Must be 1.

    - #### wRPCID

          public short wRPCID

      Specifies a DCE RPC identifier, if appropriate. If the package does not implement one of the DCE registered security systems, the reserved value SECPKG_ID_NONE is used.

    - #### cbMaxToken

          public int cbMaxToken

      Specifies the maximum size, in bytes, of the token.

    - #### Name

          public WString Name

      Pointer to a null-terminated string that contains the name of the security package.

    - #### Comment

          public WString Comment

      Pointer to a null-terminated string. This can be any additional string passed back by the package.

  - ### Constructor Detail

    - #### Sspi.SecPkgInfo

          public Sspi.SecPkgInfo()

      Create a new package info.

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.